<?php
// mysql_php_create_table.php
// Released on July 12, 2011
// Last update on July 23, 2011
// Author: Juan Valencia Escalante <contact@jveweb.net>
// For new versions visit:
// http://www.jveweb.net/en/archives/2011/07/prepared-mysql-statements-in-php-object-oriented-examples.html

// This file creates a table with 6 entries in an existent database
// This table will be used by the rest of the examples

header('Content-type: text/html; charset=utf8');

include_once('settings.php');

$query = <<<THEQUERY
create table `$mysql_database`.`jveweb_net_test_table` (
    `field_id` int( 11 ) unsigned not null auto_increment,
    `field_name` varchar( 50 ) not null,
    `field_address` varchar( 100 ) not null,
    `field_email` varchar( 100 ) not null,
    `field_created` datetime not null,
    `field_modified` datetime not null,
    primary key ( `field_id` )
) engine = myisam character set utf8 collate utf8_general_ci comment =
'A table example for a MySQL and PHP guide in jveweb.net';

insert into `jveweb_net_test_table` (`field_name`, `field_address`, `field_email`, `field_created`) values
('Juan', '140 Random Street, Random City', 'juan@jveweb.net',NOW()),
('Valencia', '72 Random Drive, Random City', 'valencia@jveweb.net',NOW()),
('Roger', '23 Some Street, Random City', 'roger@jveweb.net',NOW()),
('Krista', '42 X Street, Random City', 'krista@jveweb.net',NOW()),
('Mery', '763 X Drive, Random City', 'mery@jveweb.net',NOW()),
('Trevor', '21 Random Avenue, Random City', 'trevor@jveweb.net',NOW());
THEQUERY;

// Connect to the database
$mysqli = new mysqli($mysql_host, $mysql_username, $mysql_password, $mysql_database);
if (mysqli_connect_errno()) {
    die("Can not connect to the database: " . mysqli_connect_error());
}

// Change character set to utf8
if (!$mysqli->set_charset("utf8")) {
    die("Error loading character set utf8: %s\n" . $mysqli->error);
}

if ($_GET["reset"] == 1) {
    $mysqli->query("drop table `jveweb_net_test_table`");
}

// Execute the queries
$mysqli->multi_query($query);

// Close the database
$mysqli->close();
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml"> 
<head> 
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /> 
    <meta name="keywords" content="" /> 
    <meta name="description" content="" /> 
    <meta name="author" content="Juan Valencia Escalante" /> 
    <title>MySQL/PHP Table creation - Juan Valencia's website - jveweb.net</title> 
</head> 
<body> 
    <div id="content"> 
        <p>
            <b>The table was successfully created and filled.</b><br /><br />
            Check any of the other functions:<br />
            <a href="mysql_php_show.php">Show a list of the records</a><br />
            <a href="mysql_php_insertion.php">Insert a new record</a><br />
            <a href="mysql_php_edition.php">Edit the first record</a><br />
            <a href="mysql_php_deletion.php">Delete records</a><br /><br />
            You can select a record for edition from the list of records, it
            opens the file mysql_php_edition.php appending ?id=x where x is the
            id of the record to edit.
        </p>
    </div> 
</body> 
</html>
